from fastapi import FastAPI
from flask import Flask
from sift_dev_logger.config import SiftDevConfig, configure
from sift_dev_logger.fastapi import fastapi_logger
from sift_dev_logger.flask import flask_logger

# Test FastAPI integration
app_fastapi = FastAPI()
fastapi_logger(app_fastapi)
print("✅ FastAPI integration works!")

# Test Flask integration
app_flask = Flask(__name__)
flask_logger(app_flask)
print("✅ Flask integration works!")

# Test basic logging
config = SiftDevConfig(
    service_name="test-service",
    service_instance_id="test-1"
)
configure(config)
print("✅ Configuration works!")

print("🎉 All imports and basic setup successful!") 